﻿<UserControl x:Class="Quantum.ChatListItemControl"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:Quantum"
             xmlns:core="clr-namespace:Quantum.Core;assembly=Quantum.Core"
             mc:Ignorable="d" 
             Height="60" d:DesignWidth="300">

    <UserControl.Resources>
        
        <Style x:Key="ContentStyle" TargetType="{x:Type ContentControl}">
            <Setter Property="Template">
                <Setter.Value>
                    <ControlTemplate TargetType="{x:Type ContentControl}">

                        <Border>

                            <Border.InputBindings>
                                <MouseBinding MouseAction="LeftClick" Command="{Binding OpenMessageCommand}"/>
                            </Border.InputBindings>
                            
                            <Grid Background="{StaticResource BackgroundLightBrush}">
                                <Grid.ColumnDefinitions>
                                    <!--New message indicator bar-->
                                    <ColumnDefinition Width="Auto"/>
                                    <!--Profile picture-->
                                    <ColumnDefinition Width="Auto"/>
                                    <!--Main content-->
                                    <ColumnDefinition Width="*"/>
                                </Grid.ColumnDefinitions>

                                <!--New message indicator bar-->
                                <Border Background="Red" Width="5"/>
                                <!--Profile picture-->
                                <Border Grid.Column="1" Padding="8">
                                    <Border Background="{Binding ProfilePictureRGB, Converter={local:StringRGBToBrushConverter}}"
                    Width="{Binding ActualHeight, RelativeSource={RelativeSource Self}}"
                    CornerRadius="{Binding ActualHeight, RelativeSource={RelativeSource Self}}">

                                        <TextBlock Text="{Binding Initials}"
                           VerticalAlignment="Center"
                           HorizontalAlignment="Center"
                           Foreground="White"
                           FontSize="20"
                           FontFamily="{StaticResource MonsterratRegular}"/>

                                    </Border>
                                </Border>

                                <Border Grid.Column="2" Padding="0 0 8 0">
                                    <!--Main content-->
                                    <StackPanel  VerticalAlignment="Center">
                                        <!-- Name  -->
                                        <TextBlock 
                Text="{Binding Name}"
                FontFamily="{StaticResource MonsterratRegular}"
                Foreground="{StaticResource ForegroundLightBrush}"
                FontSize="20"/>
                                        <!--Message -->
                                        <TextBlock 
                    Text="{Binding Message}"
                       FontFamily="{StaticResource MonsterratRegular}"
                       FontSize="12"
                       Foreground="{StaticResource ForegroundLightBrush}"
                       TextTrimming="CharacterEllipsis"/>
                                    </StackPanel>
                                </Border>

                            </Grid>
                        </Border>

                    </ControlTemplate>
                </Setter.Value>
            </Setter>
        </Style>
    </UserControl.Resources>

    <ContentControl d:DataContext="{x:Static core:ChatListItemDesignModel.Instance}"
                    Style="{StaticResource ContentStyle}" />

</UserControl>
